#!/bin/bash

disks=$(lsblk | grep -B2 -F md1  | grep ^s | awk '{print $1}')
disk1=$(echo $disks | awk '{print $1}')
disk2=$(echo $disks | awk '{print $2}')

echo "Creating dedicated partition for /var/lib/ceph"
parted /dev/$disk1 mkpart ext4 401GB 470G
mkdir -p /var/lib/ceph
mount /dev/${disk1}4 /var/lib/ceph
chown -R ceph:ceph /var/lib/ceph

echo "Creating dedicated partition for /var/lib/containers"
parted /dev/$disk2 mkpart ext4 401GB 470G
mkdir -p /var/lib/containers
mount /dev/${disk2}4 /var/lib/containers
chown -R ceph:ceph /var/lib/containers
