# Scale down cephfs clients to prevent mds corruption issues

function scale_down_cephfs_clients () {
  echo "Scaling nexus deployment down"
  kubectl scale deployment -n nexus nexus --replicas=0
}

function scale_up_cephfs_clients () {
  echo "Scaling nexus deployment back up"
  kubectl scale deployment -n nexus nexus --replicas=1
}
